Bug 1223455 - Review Request: mysql-connector-net - Mono ADO.NET driver for MySQL
Summary: Review Request: mysql-connector-net - Mono ADO.NET driver for MySQL
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 177512 (view as bug list)
Depends On: 1221559
Blocks: 1244899 FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2015-05-20 14:36 UTC by Claudio Rodrigo Pereyra DIaz
Modified: 2015-11-04 20:54 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-04 20:54:38 UTC
Type: Bug
projects.rg: fedora-review+


Attachments (Terms of Use)
licensecheck.txt (49.96 KB, text/plain)
2015-10-12 20:13 UTC, Raphael Groner
no flags Details

Description Claudio Rodrigo Pereyra DIaz 2015-05-20 14:36:52 UTC
I want unretired and own this package

Spec URL: https://elsupergomez.fedorapeople.org/SPECS/mysql-connector-net.spec
SRPM URL: https://elsupergomez.fedorapeople.org/SRPMS/mysql-connector-net-6.9.6-3.fc21.src.rpm
Description: Mono ADO.NET driver for MySQL
Fedora Account System Username: elsupergomez

Comment 1 Claudio Rodrigo Pereyra DIaz 2015-05-20 14:37:10 UTC
*** Bug 177512 has been marked as a duplicate of this bug. ***

Comment 2 Claudio Rodrigo Pereyra DIaz 2015-07-30 17:56:25 UTC
Spec URL: https://elsupergomez.fedorapeople.org/SPECS/mysql-connector-net.spec
SRPM URL: https://elsupergomez.fedorapeople.org/SRPMS/mysql-connector-net-6.9.6-4.fc24.src.rpm
Description: Mono ADO.NET driver for MySQL
Fedora Account System Username: elsupergomez

Comment 3 Claudio Rodrigo Pereyra DIaz 2015-07-30 17:58:56 UTC
===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "GPL (v2)", "*No copyright* GPL (v2)",
     "Unknown or generated". 35 files have unknown license.
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/licenses/mysql-
     connector-net(languages, langpacks:, enabled, are, No), /usr/lib/mono
     /mysql-connector-net(languages, langpacks:, enabled, are, No)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mysql-connector-net-6.9.6-4.fc24.x86_64.rpm
          mysql-connector-net-devel-6.9.6-4.fc24.x86_64.rpm
          mysql-connector-net-6.9.6-4.fc24.src.rpm
mysql-connector-net.x86_64: E: no-binary
mysql-connector-net.x86_64: W: only-non-binary-in-usr-lib
mysql-connector-net-devel.x86_64: W: only-non-binary-in-usr-lib
mysql-connector-net-devel.x86_64: W: no-documentation
mysql-connector-net.src:52: E: hardcoded-library-path in %{_prefix}/lib
3 packages and 0 specfiles checked; 2 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
mysql-connector-net.x86_64: E: no-binary
mysql-connector-net.x86_64: W: only-non-binary-in-usr-lib
mysql-connector-net-devel.x86_64: W: only-non-binary-in-usr-lib
mysql-connector-net-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 1 errors, 3 warnings.

Comment 4 Eduardo Mayorga 2015-07-31 01:13:39 UTC
You cannot approve your own packages. Please stick to the procedure described in https://fedoraproject.org/wiki/Package_Review_Process

Comment 5 Raphael Groner 2015-10-12 14:05:40 UTC
I could take the reviewer job here, if you may like.

Comment 6 Timotheus Pokorra 2015-10-12 14:50:20 UTC
@Raphael: I would appreciate that!

Comment 7 Raphael Groner 2015-10-12 20:11:30 UTC
There's already a package in PkgDB, 2 monthes old. Why a new review request?
http://pkgs.fedoraproject.org/cgit/mysql-connector-net.git/commit/?h=f23
https://admin.fedoraproject.org/pkgdb/package/mysql-connector-net/

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package does not use a name that already exists.
  Note: A package with this name already exists. Please check
  https://admin.fedoraproject.org/pkgdb/acls/name/mysql-connector-net
  See:
  https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names
- License is "GPLv2+ and BSD", not "GPLv2 or BSD". I fail to find any
  prevention of GPLv3+.
- There's a new version 6.9.7 available at upstream, please update.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "GPL (v2) (with incorrect FSF address)", "GPL
     (v2)", "Unknown or generated". 272 files have unknown license.
     Detailed output of licensecheck in /home/builder/fedora-review/1223455
     -mysql-connector-net/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
=> Mono can not provide external debuginfo.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[?]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mysql-connector-net-6.9.6-4.fc24.x86_64.rpm
          mysql-connector-net-devel-6.9.6-4.fc24.x86_64.rpm
          mysql-connector-net-6.9.6-4.fc24.src.rpm
mysql-connector-net.x86_64: E: no-binary
mysql-connector-net.x86_64: W: only-non-binary-in-usr-lib
mysql-connector-net-devel.x86_64: W: only-non-binary-in-usr-lib
mysql-connector-net-devel.x86_64: W: no-documentation
mysql-connector-net.src:52: E: hardcoded-library-path in %{_prefix}/lib
3 packages and 0 specfiles checked; 2 errors, 3 warnings.
==> Ignore, this are general issues of mono.



Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: Datei oder Verzeichnis nicht gefunden
mysql-connector-net.x86_64: E: no-binary
mysql-connector-net.x86_64: W: only-non-binary-in-usr-lib
mysql-connector-net-devel.x86_64: W: only-non-binary-in-usr-lib
mysql-connector-net-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 1 errors, 3 warnings.
==> Ignore, general issues of mono.


Requires
--------
mysql-connector-net (rpmlib, GLIBC filtered):
    mono(System)
    mono(System.Configuration)
    mono(System.Configuration.Install)
    mono(System.Data)
    mono(System.Drawing)
    mono(System.Management)
    mono(System.Transactions)
    mono(System.Xml)
    mono(mscorlib)
    mono-data

mysql-connector-net-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    mysql-connector-net(x86-64)
    pkgconfig



Provides
--------
mysql-connector-net:
    mono(MySql.Data)
    mysql-connector-net
    mysql-connector-net(x86-64)

mysql-connector-net-devel:
    mysql-connector-net-devel
    mysql-connector-net-devel(x86-64)
    pkgconfig(mysql-connector-net)



Source checksums
----------------
http://cdn.mysql.com/Downloads/Connector-Net/mysql-connector-net-6.9.6-src.zip :
  CHECKSUM(SHA256) this package     : 896a384f7cd89547138b3b8cf4422e0ba54c009104d06520120ab0cdf4cf013c
  CHECKSUM(SHA256) upstream package : 896a384f7cd89547138b3b8cf4422e0ba54c009104d06520120ab0cdf4cf013c


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1223455
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 8 Raphael Groner 2015-10-12 20:13:00 UTC
Created attachment 1082104 [details]
licensecheck.txt

Comment 9 Raphael Groner 2015-10-12 20:16:08 UTC
- Maybe consider to execute Tests/ files in %check.
- Please put Documentation/* files into a -doc package.

Comment 10 Claudio Rodrigo Pereyra DIaz 2015-10-13 01:07:40 UTC
(In reply to Raphael Groner from comment #7)
> There's already a package in PkgDB, 2 monthes old. Why a new review request?
> http://pkgs.fedoraproject.org/cgit/mysql-connector-net.git/commit/?h=f23
> https://admin.fedoraproject.org/pkgdb/package/mysql-connector-net/
> 
> Package Review
> ==============
> 
> Legend:
> [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> [ ] = Manual review needed
> 
> 
> Issues:
> =======
> - Package does not use a name that already exists.
>   Note: A package with this name already exists. Please check
>   https://admin.fedoraproject.org/pkgdb/acls/name/mysql-connector-net
>   See:

This is a Re-Review for unretired this package. That is way use the same name.
See https://fedorahosted.org/rel-eng/ticket/6222.

>  
> https://fedoraproject.org/wiki/Packaging/
> NamingGuidelines#Conflicting_Package_Names
> - License is "GPLv2+ and BSD", not "GPLv2 or BSD". I fail to find any
>   prevention of GPLv3+.
> - There's a new version 6.9.7 available at upstream, please update.
> 
I will check this.

> ===== MUST items =====
> 
> Generic:
> [x]: Package is licensed with an open-source compatible license and meets
>      other legal requirements as defined in the legal section of Packaging
>      Guidelines.
> [!]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses
>      found: "BSD (3 clause)", "GPL (v2) (with incorrect FSF address)", "GPL
>      (v2)", "Unknown or generated". 272 files have unknown license.
>      Detailed output of licensecheck in /home/builder/fedora-review/1223455
>      -mysql-connector-net/licensecheck.txt
> [x]: License file installed when any subpackage combination is installed.
> [!]: If the package is under multiple licenses, the licensing breakdown
>      must be documented in the spec.
> [x]: %build honors applicable compiler flags or justifies otherwise.
> [x]: Package contains no bundled libraries without FPC exception.
> [x]: Changelog in prescribed format.
> [x]: Sources contain only permissible code or content.
> [-]: Package contains desktop file if it is a GUI application.
> [-]: Development files must be in a -devel package
> [x]: Package uses nothing in %doc for runtime.
> [x]: Package consistently uses macros (instead of hard-coded directory
>      names).
> [x]: Package is named according to the Package Naming Guidelines.
> [x]: Package does not generate any conflict.
> [x]: Package obeys FHS, except libexecdir and /usr/target.
> [-]: If the package is a rename of another package, proper Obsoletes and
>      Provides are present.
> [x]: Requires correct, justified where necessary.
> [x]: Spec file is legible and written in American English.
> [-]: Package contains systemd file(s) if in need.
> [-]: Useful -debuginfo package or justification otherwise.
> => Mono can not provide external debuginfo.
> [x]: Package is not known to require an ExcludeArch tag.
> [-]: Large documentation must go in a -doc subpackage. Large could be size
>      (~1MB) or number of files.
>      Note: Documentation size is 10240 bytes in 2 files.
> [!]: Package complies to the Packaging Guidelines

Why? Please help me to fix this point.

> [x]: Package successfully compiles and builds into binary rpms on at least
>      one supported primary architecture.
> [x]: Package installs properly.
> [x]: Rpmlint is run on all rpms the build produces.
>      Note: There are rpmlint messages (see attachment).
> [x]: If (and only if) the source package includes the text of the
>      license(s) in its own file, then that file, containing the text of the
>      license(s) for the package is included in %license.
> [x]: Package requires other packages for directories it uses.
> [x]: Package must own all directories that it creates.
> [x]: Package does not own files or directories owned by other packages.
> [x]: All build dependencies are listed in BuildRequires, except for any
>      that are listed in the exceptions section of Packaging Guidelines.
> [x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
> [x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
>      beginning of %install.
> [x]: Macros in Summary, %description expandable at SRPM build time.
> [x]: Dist tag is present.
> [x]: Package does not contain duplicates in %files.
> [x]: Permissions on files are set properly.
> [x]: Package use %makeinstall only when make install DESTDIR=... doesn't
>      work.
> [x]: Package is named using only allowed ASCII characters.
> [x]: Package is not relocatable.
> [x]: Sources used to build the package match the upstream source, as
>      provided in the spec URL.
> [x]: Spec file name must match the spec package %{name}, in the format
>      %{name}.spec.
> [x]: File names are valid UTF-8.
> [x]: Packages must not store files under /srv, /opt or /usr/local
> 
> ===== SHOULD items =====
> 
> Generic:
> [?]: If the source package does not include license text(s) as a separate
>      file from upstream, the packager SHOULD query upstream to include it.
> [x]: Final provides and requires are sane (see attachments).
> [?]: Package functions as described.
> [!]: Latest version is packaged.

I will check this to. And update the source to the last version.

> [x]: Package does not include license text files separate from upstream.
> [!]: Patches link to upstream bugs/comments/lists or are otherwise
>      justified.

The patch is for build with mono 4 that only support target 4.5. I can try to fix this the same way that fix all packages for Mono 4 Change and remove the patch.

> [-]: Description and summary sections in the package spec file contains
>      translations for supported Non-English languages, if available.
> [-]: %check is present and all tests pass.
> [x]: Packages should try to preserve timestamps of original installed
>      files.
> [x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
> [x]: Sources can be downloaded from URI in Source: tag
> [x]: Reviewer should test that the package builds in mock.
> [x]: Buildroot is not present
> [x]: Package has no %clean section with rm -rf %{buildroot} (or
>      $RPM_BUILD_ROOT)
> [x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
> [x]: Fully versioned dependency in subpackages if applicable.
> [x]: The placement of pkgconfig(.pc) files are correct.
> [x]: SourceX is a working URL.
> [x]: Package should compile and build into binary rpms on all supported
>      architectures.
> [x]: Spec use %global instead of %define unless justified.
> 
> ===== EXTRA items =====
> 
> Generic:
> [x]: Rpmlint is run on all installed packages.
>      Note: There are rpmlint messages (see attachment).
> [x]: Large data in /usr/share should live in a noarch subpackage if package
>      is arched.
> [x]: Spec file according to URL is the same as in SRPM.
> 
> 
> Rpmlint
> -------
> Checking: mysql-connector-net-6.9.6-4.fc24.x86_64.rpm
>           mysql-connector-net-devel-6.9.6-4.fc24.x86_64.rpm
>           mysql-connector-net-6.9.6-4.fc24.src.rpm
> mysql-connector-net.x86_64: E: no-binary
> mysql-connector-net.x86_64: W: only-non-binary-in-usr-lib
> mysql-connector-net-devel.x86_64: W: only-non-binary-in-usr-lib
> mysql-connector-net-devel.x86_64: W: no-documentation
> mysql-connector-net.src:52: E: hardcoded-library-path in %{_prefix}/lib
> 3 packages and 0 specfiles checked; 2 errors, 3 warnings.
> ==> Ignore, this are general issues of mono.
> 
> 
> 
> Rpmlint (installed packages)
> ----------------------------
> sh: /usr/bin/python: Datei oder Verzeichnis nicht gefunden
> mysql-connector-net.x86_64: E: no-binary
> mysql-connector-net.x86_64: W: only-non-binary-in-usr-lib
> mysql-connector-net-devel.x86_64: W: only-non-binary-in-usr-lib
> mysql-connector-net-devel.x86_64: W: no-documentation
> 2 packages and 0 specfiles checked; 1 errors, 3 warnings.
> ==> Ignore, general issues of mono.
> 
> 
> Requires
> --------
> mysql-connector-net (rpmlib, GLIBC filtered):
>     mono(System)
>     mono(System.Configuration)
>     mono(System.Configuration.Install)
>     mono(System.Data)
>     mono(System.Drawing)
>     mono(System.Management)
>     mono(System.Transactions)
>     mono(System.Xml)
>     mono(mscorlib)
>     mono-data
> 
> mysql-connector-net-devel (rpmlib, GLIBC filtered):
>     /usr/bin/pkg-config
>     mysql-connector-net(x86-64)
>     pkgconfig
> 
> 
> 
> Provides
> --------
> mysql-connector-net:
>     mono(MySql.Data)
>     mysql-connector-net
>     mysql-connector-net(x86-64)
> 
> mysql-connector-net-devel:
>     mysql-connector-net-devel
>     mysql-connector-net-devel(x86-64)
>     pkgconfig(mysql-connector-net)
> 
> 
> 
> Source checksums
> ----------------
> http://cdn.mysql.com/Downloads/Connector-Net/mysql-connector-net-6.9.6-src.
> zip :
>   CHECKSUM(SHA256) this package     :
> 896a384f7cd89547138b3b8cf4422e0ba54c009104d06520120ab0cdf4cf013c
>   CHECKSUM(SHA256) upstream package :
> 896a384f7cd89547138b3b8cf4422e0ba54c009104d06520120ab0cdf4cf013c
> 
> 
> Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
> Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1223455
> Buildroot used: fedora-rawhide-x86_64
> Active plugins: Generic, Shell-api
> Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl,
> Haskell, R, PHP, Ruby
> Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 11 Claudio Rodrigo Pereyra DIaz 2015-10-13 02:37:11 UTC
Spec URL: https://elsupergomez.fedorapeople.org/SPECS/mysql-connector-net.spec
SRPM URL: https://elsupergomez.fedorapeople.org/SRPMS/mysql-connector-net-6.9.7-1.fc22.src.rpm

Update to last version.
Remove patch for build using framework 4.5, use xbuild parameter to set the target.
Fix the license

Comment 12 Raphael Groner 2015-10-13 08:16:19 UTC
Looks now good to me. APPROVED

Why do you use GPLv2 only but not GPLv2+ (mind the plus) that would also allow GPLv3 (and above)?

Comment 13 Claudio Rodrigo Pereyra DIaz 2015-10-13 11:34:39 UTC
(In reply to Raphael Groner from comment #12)
> Looks now good to me. APPROVED
> 
> Why do you use GPLv2 only but not GPLv2+ (mind the plus) that would also
> allow GPLv3 (and above)?

See end of README file in the source mark use explicitly only GPLv2

GPLv2 Disclaimer
For the avoidance of doubt, except that if any license choice
other than GPL or LGPL is available it will apply instead, 
Oracle elects to use only the General Public License version 2 
(GPLv2) at this time for any software where a choice of GPL 
license versions is made available with the language indicating 
that GPLv2 or any later version may be used, or where a choice 
of which version of the GPL is applied is otherwise unspecified.

Comment 14 Fedora Update System 2015-10-14 11:11:18 UTC
mysql-connector-net-6.9.7-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-0bc0cfc898

Comment 15 Fedora Update System 2015-10-14 22:53:07 UTC
mysql-connector-net-6.9.7-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update mysql-connector-net'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-0bc0cfc898

Comment 16 Fedora Update System 2015-10-21 13:19:38 UTC
mysql-connector-net-6.9.8-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-677d4e8167

Comment 17 Fedora Update System 2015-10-24 12:09:47 UTC
mysql-connector-net-6.9.8-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update mysql-connector-net'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-677d4e8167

Comment 18 Fedora Update System 2015-11-04 20:54:29 UTC
mysql-connector-net-6.9.8-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.